Data Structures | Functions | Variables

# game_text.hpp File Reference

Base functions regarding game texts. More...

`#include "../core/smallvec_type.hpp"`

Go to the source code of this file.

## Data Structures
struct | LanguageStrings
| Container for the raw (unencoded) language strings of a language. More...
struct | GameStrings
| Container for all the game strings. More...
## Functions
const char * | GetGameStringPtr (uint id)
| Get the string pointer of a particular game string.
void | RegisterGameTranslation (class Squirrel *engine)
| Register the current translation to the Squirrel engine.
void | ReconsiderGameScriptLanguage ()
| Reconsider the game script language, so we use the right one.
## Variables
static const uint | GAME_TEXT_TAB = 18
| The tab we place our strings in.

## Detailed Description

Base functions regarding game texts.

Definition in file game_text.hpp.

## Function Documentation

const char* GetGameStringPtr | ( | uint | id | ) |

Get the string pointer of a particular game string.

Parameters:

  | id | The ID of the game string.

Returns:
  The encoded string.

Definition at line 321 of file game_text.cpp.

References GameStrings::cur_language, SmallVector< T, S >::Length(), and LanguageStrings::lines.

Referenced by GetStringWithArgs().

void RegisterGameTranslation | ( | Squirrel * | engine | ) |

Register the current translation to the Squirrel engine.

Parameters:

  | engine | The engine to update/

Definition at line 331 of file game_text.cpp.

References SmallVector< T, S >::Begin(), SmallVector< T, S >::End(), Squirrel::GetVM(), LoadTranslations(), ReconsiderGameScriptLanguage(), and GameStrings::string_names.

Referenced by GameInstance::RegisterAPI().

## Variable Documentation

const uint GAME_TEXT_TAB = 18`[static]`

The tab we place our strings in.

Definition at line 18 of file game_text.hpp.

Referenced by FormatString(), and GetStringWithArgs().